
From: "Andi Kleen" <ak@suse.de>

Minor fix to TLB flush IPI

Fix minor harmless bug.  When doing a flush IPI we used 0xffffffff as the
catch all wildcard, which is a valid address in a 64bit process.  When this
page was flushed the IPI handler would do a full flush by mistake instead of
just flushing the page.  Use -1ULL instead.

Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/smp.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/x86_64/kernel/smp.c~x86_64-minor-fix-to-tlb-flush-ipi arch/x86_64/kernel/smp.c
--- 25/arch/x86_64/kernel/smp.c~x86_64-minor-fix-to-tlb-flush-ipi	Wed Mar 23 15:38:56 2005
+++ 25-akpm/arch/x86_64/kernel/smp.c	Wed Mar 23 15:38:56 2005
@@ -41,7 +41,7 @@ static cpumask_t flush_cpumask;
 static struct mm_struct * flush_mm;
 static unsigned long flush_va;
 static DEFINE_SPINLOCK(tlbstate_lock);
-#define FLUSH_ALL	0xffffffff
+#define FLUSH_ALL	-1ULL
 
 /*
  * We cannot call mmdrop() because we are in interrupt context, 
_
